org.fourthline.cling.transport.impl

## Class MulticastReceiverConfigurationImpl

- java.lang.Object
- - org.fourthline.cling.transport.impl.MulticastReceiverConfigurationImpl

- All Implemented Interfaces:
    MulticastReceiverConfiguration

      public class MulticastReceiverConfigurationImpl
      extends Object
      implements MulticastReceiverConfiguration

  Settings for the default implementation.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MulticastReceiverConfigurationImpl(InetAddress group, int port)` Defaults to maximum datagram size of 640 bytes (512 per UDA 1.0, 128 byte header).
    `MulticastReceiverConfigurationImpl(InetAddress group, int port, int maxDatagramBytes)`
    `MulticastReceiverConfigurationImpl(String group, int port)` Defaults to maximum datagram size of 640 bytes (512 per UDA 1.0, 128 byte header).
    `MulticastReceiverConfigurationImpl(String group, int port, int maxDatagramBytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getGroup()`
    `int` | `getMaxDatagramBytes()`
    `int` | `getPort()`
    `void` | `setGroup(InetAddress group)`
    `void` | `setMaxDatagramBytes(int maxDatagramBytes)`
    `void` | `setPort(int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MulticastReceiverConfigurationImpl

          public MulticastReceiverConfigurationImpl(InetAddress group,
                                                    int port,
                                                    int maxDatagramBytes)

    - #### MulticastReceiverConfigurationImpl

          public MulticastReceiverConfigurationImpl(InetAddress group,
                                                    int port)

      Defaults to maximum datagram size of 640 bytes (512 per UDA 1.0, 128 byte header).

    - #### MulticastReceiverConfigurationImpl

          public MulticastReceiverConfigurationImpl(String group,
                                                    int port,
                                                    int maxDatagramBytes)
                                             throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### MulticastReceiverConfigurationImpl

          public MulticastReceiverConfigurationImpl(String group,
                                                    int port)
                                             throws UnknownHostException

      Defaults to maximum datagram size of 640 bytes (512 per UDA 1.0, 128 byte header).
      Throws:
        `UnknownHostException`

  - ### Method Detail

    - #### getGroup

          public InetAddress getGroup()

      Specified by:
        `getGroup` in interface `MulticastReceiverConfiguration`
      Returns:
        The multicast group to join.

    - #### setGroup

          public void setGroup(InetAddress group)

    - #### getPort

          public int getPort()

      Specified by:
        `getPort` in interface `MulticastReceiverConfiguration`
      Returns:
        The port to listen on.

    - #### setPort

          public void setPort(int port)

    - #### getMaxDatagramBytes

          public int getMaxDatagramBytes()

      Specified by:
        `getMaxDatagramBytes` in interface `MulticastReceiverConfiguration`
      Returns:
        The maximum buffer size of received UDP datagrams.

    - #### setMaxDatagramBytes

          public void setMaxDatagramBytes(int maxDatagramBytes)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.